Skip to content

General Information

All operations require authentication.

10 operationsv1/email/pro
Agent setup

List Email Pro servicesAlpha

GET
/1.0/email/pro

Returns the names of the Email Pro services of the account. Filter them by IAM tags with iamTags.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/email/pro \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the Email Pro serviceAlpha

GET
/1.0/email/pro/{service}

Returns the state, offer, hostname and web interface URL of the service, its message size limits, its password and lockout policy, and its spam and virus configuration.

Path parameters

service
required
string

Service

Response

200ServiceNativeWithIAMsuccessful operation
complexityEnabled
read-only
boolean

enable policy for strong and secure passwords

displayName
read-only
string

service displayName

domain
read-only
string

Domain name of your service

hostname
read-only
string

Hostname of your service

iam
read-only
ResourceMetadata

IAM resource metadata

lastUpdateDate
read-only
stringdate-time

Update date

lockoutDuration
read-only
integer

number of minutes account will remain locked if it occurs

lockoutObservationWindow
read-only
integer

number of minutes that must elapse after a failed logon to reset lockout trigger

lockoutThreshold
read-only
integer

number of attempts before account to be locked

maxPasswordAge
read-only
integer

maximum number of days that account's password is valid before expiration

maxReceiveSize
read-only
integer

Maximum message size that You can receive in MB

maxSendSize
read-only
integer

Maximum message size that You can send in MB

minPasswordAge
read-only
integer

minimum number of days before able to change account's password

minPasswordLength
read-only
integer

minimum number of characters password must contain

offer
read-only
ServiceOfferEnum

Type of your offer

Valuesemailpro
spamAndVirusConfiguration
read-only
spamAndVirusConfiguration

Spam and Antivirus configuration

state
read-only
ServiceStateEnum

State of your service

ValuescreatingdeletinginMaintenanceokreopeningsuspendedsuspending
taskPendingId
read-only
integer

Task pending id

webUrl
read-only
string

URL for web interface

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "complexityEnabled": true, "displayName": "string", "domain": "string", "hostname": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastUpdateDate": "2024-01-01T12:00:00Z", "lockoutDuration": 0, "lockoutObservationWindow": 0, "lockoutThreshold": 0, "maxPasswordAge": 0, "maxReceiveSize": 0, "maxSendSize": 0, "minPasswordAge": 0, "minPasswordLength": 0, "offer": "emailpro", "spamAndVirusConfiguration": { "checkDKIM": true, "checkSPF": true, "deleteSpam": true, "deleteVirus": true, "putInJunk": true, "tagSpam": true, "tagVirus": true }, "state": "creating", "taskPendingId": 0, "webUrl": "string"}

Update the Email Pro serviceProduction

PUT
/1.0/email/pro/{service}

Update the Email Pro service. Updates the display name, message size limits, password and lockout policy, and spam and virus configuration of the service.

Path parameters

service
required
string

The internal name of your pro organization

Request body (required)

complexityEnabled
boolean

enable policy for strong and secure passwords

displayName
string

service displayName

domain
read-only
string

Domain name of your service

hostname
read-only
string

Hostname of your service

lastUpdateDate
read-only
stringdate-time

Update date

lockoutDuration
integer

number of minutes account will remain locked if it occurs

lockoutObservationWindow
integer

number of minutes that must elapse after a failed logon to reset lockout trigger

lockoutThreshold
integer

number of attempts before account to be locked

maxPasswordAge
integer

maximum number of days that account's password is valid before expiration

maxReceiveSize
integer

Maximum message size that You can receive in MB

maxSendSize
integer

Maximum message size that You can send in MB

minPasswordAge
integer

minimum number of days before able to change account's password

minPasswordLength
integer

minimum number of characters password must contain

offer
read-only
ServiceOfferEnum

Type of your offer

Valuesemailpro
spamAndVirusConfiguration
spamAndVirusConfiguration

Spam and Antivirus configuration

state
read-only
ServiceStateEnum

State of your service

ValuescreatingdeletinginMaintenanceokreopeningsuspendedsuspending
taskPendingId
read-only
integer

Task pending id

webUrl
read-only
string

URL for web interface

Response

200—successful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the billing migration statusAlpha

GET
/1.0/email/pro/{service}/billingMigrated

Returns true when the service is billed by the new OVHcloud billing system.

Path parameters

service
required
string

Service

Response

200booleansuccessful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/billingMigrated \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Get the billing planAlpha

GET
/1.0/email/pro/{service}/billingPlan

Returns the name of the billing plan of the service.

Path parameters

service
required
string

Service

Response

200stringsuccessful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/billingPlan \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Change service contactsProduction

POST
/1.0/email/pro/{service}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

service
required
string

The internal name of your pro organization

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get the serverAlpha

GET
/1.0/email/pro/{service}/server

Returns the state, IPv4 and IPv6 addresses, version and disk usage of the server, and whether its A, AAAA and PTR DNS records are valid.

Path parameters

service
required
string

Service

Response

200Serversuccessful operation
currentDiskUsage
read-only
integer

Current disk usage in MB

diskSize
read-only
integer

Total disk size in MB

ip
read-only
string

ipV4

ipV6
read-only
string

ipV6

isAValid
read-only
boolean

If true your dns A record is valid

isAaaaValid
read-only
boolean

If true your dns AAAA record is valid

isPtrV6Valid
read-only
boolean

If true your dns ptrV6 record is valid

isPtrValid
read-only
boolean

If true your dns ptr record is valid

state
read-only
ServerStateEnum

Server state

ValuesconfigurationPendingnotConfiguredok
taskPendingId
read-only
integer

Task pending id

version
read-only
integer

Server version

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/server \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "currentDiskUsage": 0, "diskSize": 0, "ip": "string", "ipV6": "string", "isAValid": true, "isAaaaValid": true, "isPtrV6Valid": true, "isPtrValid": true, "state": "configurationPending", "taskPendingId": 0, "version": 0}

Get service informationProduction

GET
/1.0/email/pro/{service}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

service
required
string

The internal name of your pro organization

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/email/pro/{service}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

service
required
string

The internal name of your pro organization

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Update spam and virus flagsProduction

POST
/1.0/email/pro/{service}/updateFlagsOnAllAccounts

Update spam and virus flags. Applies the spam and virus configuration of the service (spamAndVirusConfiguration) to all its active email accounts.

Path parameters

service
required
string

The internal name of your pro organization

Response

200—successful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/pro/{service}/updateFlagsOnAllAccounts \
  -H "authorization: Bearer $OVH_TOKEN"